# Uses of Class
org.eclipse.jface.resource.ColorDescriptor

Packages that use ColorDescriptor
Package
Description
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.

## Uses of ColorDescriptor in org.eclipse.jface.resource

Methods in org.eclipse.jface.resource that return ColorDescriptor
Modifier and Type
Method
Description
`static ColorDescriptor`
ColorDescriptor.`createFrom(Color toCreate)`
Creates a ColorDescriptor from an existing color.
`static ColorDescriptor`
ColorDescriptor.`createFrom(Color toCreate, Device originalDevice)`
Deprecated.
use `createFrom(Color)`
`static ColorDescriptor`
ColorDescriptor.`createFrom(RGB toCreate)`
Returns a color descriptor for the given RGB values
`ColorDescriptor`
ColorRegistry.`getColorDescriptor(String symbolicName)`
Returns the color descriptor associated with the given symbolic color name.
`ColorDescriptor`
ColorRegistry.`getColorDescriptor(String symbolicName, ColorDescriptor defaultValue)`
Returns the color descriptor associated with the given symbolic color name.
Methods in org.eclipse.jface.resource with parameters of type ColorDescriptor
Modifier and Type
Method
Description
`final Color`
ResourceManager.`createColor(ColorDescriptor descriptor)`
Deprecated.
use `ResourceManager.create(DeviceResourceDescriptor)` instead
`final void`
ResourceManager.`destroyColor(ColorDescriptor descriptor)`
Deprecated.
use `ResourceManager.destroy(DeviceResourceDescriptor)` instead
`ColorDescriptor`
ColorRegistry.`getColorDescriptor(String symbolicName, ColorDescriptor defaultValue)`
Returns the color descriptor associated with the given symbolic color name.